Subject: Re: [Tools-discuss] Performance oriented codesprint before IETF 112

From: Robert Sparks <[email-masked]>
Date: Thu, 7 Oct 2021 14:43:18 -0500

Given the doodle results, my plan is to have the primary sprint 27 Oct 
1600-2000 UTC. People can join or leave as convenient. Coordinates will 
be sent soon.

I will also have a conference set up for 28 Oct at those same times for 
followup and for anyone who can't participate on the 27th.

I plan to make resources for analyzing performance available well before 
the sprint. Future communication on that topic will occur on the 
codesprints@ list. (If you are interested, please subscribe).

RjS

On 9/29/21 5:23 PM, Robert Sparks wrote:
> We would like to hold a codesprint before IETF 112 focused on 
> datatracker performance.
>
> We have been improving the instrumentation of the datatracker, and 
> plan to provide quite a bit of information that will help us focus on 
> places that will help us most. These include statistic from the 
> database engine itself, and instrumentation that measures which views 
> are getting the most use, suffering the worst cumulative performance, 
> and how those views use the database.
>
> I expect much of the work will be verifying that the database has the 
> right indices, adjusting views to make better use of the ORM (such as 
> prefetching data (and not to prefetch too _much_ data), and adjusting 
> models where the current models are proving to be problematic.
>
> I have a doodle for two different possible times on either Oct 27 or 
> Oct 28.
>
> If you would like to participate, please add yourself to the doodle. 
> If the proposed times can't be made to work for you and you would 
> really like to engage in this kind of sprint, please just add a 
> comment at the doodle page.
>
> RjS
>
>
>
>

---

From: Robert Sparks <[email-masked]>
Date: Tue, 12 Oct 2021 17:05:59 -0500

We are starting to prepare for the sprints in a couple of weeks. If you 
can participate, please join us on [email-masked].

Lars is looking for more people to test his rework of the sprint 
developer docker image.

I've posted links to the first set of performance data we'll be using, 
and will be sending more as this week progresses.

Even (and maybe especially) if you've not helped at a codesprint before, 
please consider taking some time for this sprint.

Our primary coordination will happen on the 27th, as noted below.

RjS

On 10/7/21 2:43 PM, Robert Sparks wrote:
> 1600-2000 UTC. People can join or leave as convenient. Coordinates 
> will be sent soon.
>
> I will also have a conference set up for 28 Oct at those same times 
> for followup and for anyone who can't participate on the 27th.
>
> I plan to make resources for analyzing performance available well 
> before the sprint. Future communication on that topic will occur on 
> the codesprints@ list. (If you are interested, please subscribe).
>
> RjS
>